[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.HeaderSizing

Performs actions when resizing a column or row to the specified size.

## Declaration

Source position: grids.pas line 1433

`protected procedure TCustomDrawGrid.HeaderSizing(`
`const IsColumn: Boolean;`
`const AIndex: Integer;`
`const ASize: Integer`
`); override;`

## Arguments

`IsColumn` |  | True when the resize action is for a column, or False for a row.
`AIndex` |  | Column or row index resized in the method.
`ASize` |  | New size for the column or row.

## Description

HeaderSizing is an overridden method used to perform actions when a column or a row is being resized using the mouse. HeaderSizing calls the inherited method on entry, and signals the OnHeaderSizing event handler when assigned.

HeaderSizing is called from the DoColSizing and DoRowSizing methods when GridState has the value gsColSizing or gsRowSizing.

## See also

TCustomGrid.HeaderSizing |  | Performs actions to resize a column or row to the specified size.